.bg-gray {
    background: #d1d1d1 !important;
    color: #0a0a0a
}

.bg-lightgray {
    background: #f1f1f1;
}

.blank-page .intro {
    padding-top: 40px;
}

.blank-page p.article-excerpt {
    font-size: 20px;
    line-height: 30px;
}

.blank-page ul li {
    padding-bottom: 10px;
}

.py-5 {
    padding-top: 1.25rem;
    padding-bottom: 1.25rem
}

.py-6 {
    padding-top: 2rem;
    padding-bottom: 2rem
}

.pt-5 {
    padding-top: 1.25rem;
}

.intro-text {
    line-height: 1.25rem !important;
    padding: 0.3rem 1.25rem !important;
}

.video-wrapper {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    aspect-ratio: 16/9;
    overflow: hidden;
}

.video-wrapper iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

.video-wrapper-vert {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    aspect-ratio: 9/16;
    overflow: hidden;
}

.video-wrapper-vert iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Testimonials */

.testimonials {
    padding-bottom: 3em;
}

.testimonials-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
    margin-top: 2rem;
}

.testimonial {
    background-color: white;
    padding: 2rem 1.5rem 1rem 1.5rem;
    border-radius: 8px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.stars {
    color: #f39c12;
    margin-bottom: 1rem;
}

.star-icon {
    width: 18px;
    height: 18px;
    display: inline-block;
}

.google-icon {
    width: 18px;
    height: 18px;
    display: inline-block;
    float: right;
}

.star-icon img, .google-icon img {
    margin: 0 !important;
}

.testimonial-text {
    font-style: italic;
    margin-bottom: 1rem;
}

.testimonial-author, .testimonial-place {
    padding: 0 !important;
    margin: 0 !important;
    font-size: 15px !important;
}

.testimonial-author {
    font-weight: bold;
}

.benefity {
    background-color: white;
    padding-bottom: 3em;
}


.testimonials-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
    margin-top: 2rem;
}

.testimonial {
    background-color: white;
    padding: 2rem 1.5rem 1rem 1.5rem;
    border-radius: 8px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.benefits-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
    margin-top: 2rem;
}

.benefit-card {
    flex: 0 0 calc(33.333% - 2rem);
    min-width: 250px;
    background: #f0f1f3;
    padding: 0 1.5rem 1rem 1.5rem;
    border-radius: 8px;
    text-align: center;
    /*box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);*/
    transition: transform 0.3s ease;
}

.benefit-card:hover {
    transform: translateY(-5px);
}

.benefit-icon {
    width: 40px !important;
    height: 40px !important;
    margin-bottom: 1rem;
    margin-left: auto;
    margin-right: auto;
    color: #ab1032 !important;
}

.benefit-icon img {
    width: 40px !important;
    height: 40px !important;
}

.benefit-icon svg {
    color: #ab1032;
    width: 40px !important;
    height: 40px !important;
    margin: 40px 0;
}

.benefit-title {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.proces {
    background-color: rgba(171, 16, 50, 0.8);
    color: white;
}

.blank-page .proces p {
    font-size: 18px;
}

.proces h2 {
    color: white;
}

.blank-page .proces img {
    margin: 0 0 20px 0;
    border: 3px solid;
    border-radius: 10px;
}

.vykurovanie img {
    margin: 0;
    border-radius: 10px;
}

.cooperation {
    padding-bottom: 3em;
}

.process-steps {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
    margin-top: 2rem;
}

.step-card {
    background-color: white;
    padding: 2rem;
    border-radius: 8px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
    position: relative;
}

.step-number {
    position: absolute;
    top: -15px;
    left: -15px;
    width: 40px;
    height: 40px;
    background-color: rgba(171, 16, 50, 1);
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}

.service-partner {
    background-color: #007c84;
    color: white;
}

.blank-page .service-partner p {
    font-size: 18px;
}

.white {
    color: white !important;
}

.service-partner .partner-icon {
    padding-left: 0;
    padding-right: 0;
}

.blank-page .service-partner .partner-icon img {
    max-width: 70%;
    margin: 0;
}

@media (min-width: 1280px) {
    .intro, .video, .testimonials h2, .benefity, .proces h2, .cooperation h2, .testimonials .button-group, .service-partner h2 {
        text-align: center;
    }

    .blank-page h1 {
        font-size: 3.75rem;
        line-height: 1;
    }

    .text-center-lg {
        text-align: center;
    }

    .blank-page .service-partner .partner-icon img {
        max-width: 100%;
    }
}
